<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package Infinity
 */


$infinity_heading_image = Kirki::get_option( 'tm-builder', 'page_bg_image' );

get_header(); ?>
<div class="big-title" style="background-image: url('<?php echo esc_url( $infinity_heading_image ); ?>')">
	<div class="container">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
		<?php if ( function_exists( 'tm_bread_crumb' ) && Kirki::get_option( 'tm-builder', 'site_general_breadcrumb_enable' ) == 1 ) { ?>
			<div class="breadcrumb">
				<div class="container">
					<?php echo tm_bread_crumb( array( 'home_label' => esc_html__( 'Home', 'tm-builder' ) ) ); ?>
				</div>
			</div>
		<?php } ?>
	</div>
</div>
<div class="container">
	<div class="row">
		<div class="col-md-8">
			<div class="content">
				<article>
					<div class="entry-content">
						<?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'tm-builder' ); ?>
					</div>
					<!-- .entry-content -->
				</article>
				<!-- #post-## -->
			</div>
		</div>
		<?php get_sidebar(); ?>
	</div>
</div>
<?php get_footer(); ?>
