<?php
/**
 * Button Border
 * ============
 */
$section  = 'button_border';
$priority = 1;

Kirki::add_field( 'tm-builder', array(
	'type'      => 'text',
	'setting'   => 'button_border_width',
	'label'     => esc_html__( 'Border width', 'tm-builder' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => '1px 1px 1px 1px',
	'transport' => 'postMessage',
	'output'    => array(
		'element'  => '.btn, .woocommerce input[type="submit"]',
		'property' => 'border-width',
	)
) );

Kirki::add_field( 'tm-builder', array(
	'type'      => 'radio-buttonset',
	'setting'   => 'button_border_style',
	'label'     => esc_html__( 'Border style', 'tm-builder' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 'solid',
	'transport' => 'postMessage',
	'choices'   => array(
		'solid'  => esc_html__( 'Solid', 'tm-builder' ),
		'dashed' => esc_html__( 'Dashed', 'tm-builder' ),
		'dotted' => esc_html__( 'Dotted', 'tm-builder' ),
		'double' => esc_html__( 'Double', 'tm-builder' ),
	),
	'output'    => array(
		'element'  => '.btn, .woocommerce input[type="submit"]',
		'property' => 'border-style',
	)
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'button_border_color',
	'label'       => esc_html__( 'Border color', 'tm-builder' ),
	'description' => esc_html__( 'Border color', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#012E69',
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '.btn, .woocommerce input[type="submit"]',
		'property' => 'border-color',
	)
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'button_border_color_hover',
	'description' => esc_html__( 'Border color on hover', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#012E69',
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '.btn:hover, .woocommerce input[type="submit"]:hover',
		'property' => 'border-color',
	)
) );