<?php
/**
 * Header Style
 * ============
 */
$section  = 'header_style';
$priority = 1;

if ( class_exists( 'WooCommerce' ) ) {
	Kirki::add_field( 'tm-builder', array(
		'type'     => 'custom',
		'setting'  => 'header_style_group_title_' . $priority ++,
		'section'  => $section,
		'priority' => $priority ++,
		'default'  => '<div class="group_title">Mini Cart</div>',
		'required' => array(
			array(
				'setting'  => 'header_layout_mini_cart_enable',
				'operator' => '==',
				'value'    => 1,
			)
		)
	) );

	Kirki::add_field( 'tm-builder', array(
		'type'      => 'color',
		'setting'   => 'header_style_minicart_text_color',
		'label'     => esc_html__( 'Cart Icon Color', 'tm-builder' ),
		'section'   => $section,
		'priority'  => $priority ++,
		'default'   => '#868686',
		'transport' => 'postMessage',
		'required'  => array(
			array(
				'setting'  => 'header_layout_mini_cart_enable',
				'operator' => '==',
				'value'    => 1,
			)
		),
		'output'    => array(
			'element'  => '.mini-cart .mini-cart__button .mini-cart-icon:before',
			'property' => 'color',
		)
	) );

	Kirki::add_field( 'tm-builder', array(
		'type'      => 'color',
		'setting'   => 'header_style_minicart_number_color',
		'label'     => esc_html__( 'Cart Number Color', 'tm-builder' ),
		'section'   => $section,
		'priority'  => $priority ++,
		'default'   => '#ffffff',
		'transport' => 'postMessage',
		'required'  => array(
			array(
				'setting'  => 'header_layout_mini_cart_enable',
				'operator' => '==',
				'value'    => 1,
			)
		),
		'output'    => array(
			'element'  => '.mini-cart .mini-cart__button .mini-cart-icon:after',
			'property' => 'color',
		)
	) );
}