<?php
/**
 * Nav Background
 * ================
 */
$section  = 'nav_bg';
$priority = 1;

Kirki::add_field( 'tm-builder', array(
	'type'     => 'custom',
	'setting'  => 'nav_bg_group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'help'     => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci earum est, explicabo id illo quae!', 'tm-builder' ),
	'default'  => '<div class="group_title">Main Menu</div>',
) );

Kirki::add_field( 'tm-builder', array(
	'type'      => 'color-alpha',
	'setting'   => 'nav_bg_menu_background',
	'label'     => esc_html__( 'Main Background', 'tm-builder' ),
	'help'      => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci earum est, explicabo id illo quae!', 'tm-builder' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => '#fff',
	'transport' => 'postMessage',
	'output'    => array(
		'element'  => '.main-navigation',
		'property' => 'background-color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'     => 'custom',
	'setting'  => 'nav_bg_group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'help'     => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci earum est, explicabo id illo quae!', 'tm-builder' ),
	'default'  => '<div class="group_title">Sub Menu</div>',
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'nav_bg_sub_menu_text_bg',
	'label'       => esc_html__( 'Link background', 'tm-builder' ),
	'description' => esc_html__( 'Link background', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => "#fff",
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '#site-navigation .sub-menu li, #site-navigation .children li',
		'property' => 'background-color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'nav_bg_sub_menu_text_bg_hover',
	'description' => esc_html__( 'Link background on hover', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => TM_BUILDER_PRIMARY_COLOR,
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '#site-navigation .sub-menu li:hover, #site-navigation .children li:hover',
		'property' => 'background-color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'     => 'custom',
	'setting'  => 'nav_bg_group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="group_title">Mobile Menu</div>',
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'nav_bg_mobile_menu_bg',
	'description' => esc_html__( 'Mobile menu background', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#fff',
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '.site-header',
		'property' => 'background-color',
		'prefix'   => '@media ( max-width: 61.9375rem ) {',
		'suffix'   => '}',
	),
) );