<?php
/**
 * Nav Color
 * ================
 */
$section  = 'nav_style';
$priority = 1;

Kirki::add_field( 'tm-builder', array(
	'type'     => 'custom',
	'setting'  => 'nav_typo_group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'help'     => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci earum est, explicabo id illo quae!', 'tm-builder' ),
	'default'  => '<div class="group_title">Mobile Menu</div>',
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'nav_style_sub_menu_icon',
	'label'       => esc_html__( 'Link color', 'tm-builder' ),
	'description' => esc_html__( 'Link color', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#868686',
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '#open-left',
		'property' => 'color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'     => 'custom',
	'setting'  => 'nav_typo_group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'help'     => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci earum est, explicabo id illo quae!', 'tm-builder' ),
	'default'  => '<div class="group_title">Main Menu</div>',
) );

Kirki::add_field( 'tm-builder', array(
	'type'     => 'select2',
	'setting'  => 'nav_typo_menu_font_family',
	'label'    => esc_html__( 'Font Family', 'tm-builder' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'Roboto',
	'choices'  => Kirki_Fonts::get_font_choices(),
	'output'   => array(
		'element'  => '#site-navigation',
		'property' => 'font-family',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'      => 'slider',
	'setting'   => 'nav_typo_menu_font_weight',
	'label'     => esc_html__( 'Font Weight', 'tm-builder' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 400,
	'transport' => 'postMessage',
	'choices'   => array(
		'min'  => 100,
		'max'  => 900,
		'step' => 100,
	),
	'output'    => array(
		'element'  => '#site-navigation',
		'property' => 'font-weight',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'      => 'slider',
	'setting'   => 'nav_typo_menu_font_size',
	'label'     => esc_html__( 'Font Size', 'tm-builder' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 16,
	'choices'   => array(
		'min'  => 7,
		'max'  => 48,
		'step' => 1,
	),
	'transport' => 'postMessage',
	'output'    => array(
		'element'  => '#site-navigation',
		'property' => 'font-size',
		'units'    => 'px',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'nav_style_menu_text',
	'label'       => esc_html__( 'Link color', 'tm-builder' ),
	'description' => esc_html__( 'Link color', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#AAAAAA',
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '#site-navigation .menu > ul > li > a, #site-navigation .menu > li > a, .search-box i:before, .search-box i:after',
		'property' => 'color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'nav_style_menu_text_hover',
	'description' => esc_html__( 'Link color hover', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#003164',
	'transport'   => 'postMessage',
	'output'      => array(
		array(
			'element'  => '#site-navigation .menu > li > a:hover, #site-navigation .menu > li.current-menu-item > a, .mini-cart .mini-cart__button .mini-cart-icon:hover:before, .search-box:hover i:before, .search-box:hover i:after',
			'property' => 'color',
		),
		array(
			'element'  => '#site-navigation .menu > li.current-menu-item:after, #site-navigation .menu > li:hover:after',
			'property' => 'background-color',
		),
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'     => 'custom',
	'setting'  => 'nav_typo_group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'help'     => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci earum est, explicabo id illo quae!', 'tm-builder' ),
	'default'  => '<div class="group_title">Sub Menu</div>',
) );

Kirki::add_field( 'tm-builder', array(
	'type'     => 'select2',
	'setting'  => 'nav_typo_sub_menu_font_family',
	'label'    => esc_html__( 'Font Family', 'tm-builder' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'Roboto',
	'choices'  => Kirki_Fonts::get_font_choices(),
	'output'   => array(
		'element'  => '#site-navigation .sub-menu,#site-navigation .children',
		'property' => 'font-family',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'      => 'slider',
	'setting'   => 'nav_typo_sub_menu_font_weight',
	'label'     => esc_html__( 'Font Weight', 'tm-builder' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 400,
	'transport' => 'postMessage',
	'choices'   => array(
		'min'  => 100,
		'max'  => 900,
		'step' => 100,
	),
	'output'    => array(
		'element'  => '#site-navigation .sub-menu li a, #site-navigation .children li a',
		'property' => 'font-weight',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'      => 'slider',
	'setting'   => 'nav_typo_sub_menu_font_size',
	'label'     => esc_html__( 'Font Size', 'tm-builder' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 14,
	'choices'   => array(
		'min'  => 7,
		'max'  => 48,
		'step' => 1,
	),
	'transport' => 'postMessage',
	'output'    => array(
		'element'  => '#site-navigation .sub-menu li a, #site-navigation .children li a',
		'property' => 'font-size',
		'units'    => 'px',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'nav_style_sub_menu_text',
	'label'       => esc_html__( 'Link color', 'tm-builder' ),
	'description' => esc_html__( 'Link color', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#868686',
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '#site-navigation .sub-menu li a, #site-navigation .children li a, #site-navigation .menu li:hover > .sub-menu li.menu-item-has-children:after',
		'property' => 'color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'nav_style_sub_menu_text_hover',
	'description' => esc_html__( 'Link color on hover', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#fff',
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '#site-navigation .sub-menu li:hover > a, #site-navigation .children li:hover > a, #site-navigation .sub-menu li a:hover, #site-navigation .children li a:hover, #site-navigation .menu li:hover > .sub-menu li.menu-item-has-children:hover:after, #site-navigation .menu li:hover > .children li.page_item_has_children:hover:after',
		'property' => 'color',
	),
) );