<?php
/**
 * Post Background
 * =========
 */
$section  = 'post_bg';
$priority = 1;

Kirki::add_field( 'tm-builder', array(
	'type'     => 'custom',
	'setting'  => 'post_bg_group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="group_title">Title</div>',
) );

Kirki::add_field( 'tm-builder', array(
	'type'      => 'color',
	'setting'   => 'post_bg_color',
	'label'     => esc_html__( 'Background color', 'tm-builder' ),
	'help'      => esc_html__( 'Setup background color for your header', 'tm-builder' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => '#002F66',
	'transport' => 'postMessage',
	'output'    => array(
		'element'  => '.big-title--single',
		'property' => 'background-color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'     => 'color-alpha',
	'setting'  => 'post_overlay_bg_color',
	'label'    => esc_html__( 'Overlay color', 'tm-builder' ),
	'help'     => esc_html__( 'Setup overlay color for your header', 'tm-builder' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'rgba(0,47,102,0.8)',
	'output'   => array(
		'element'  => '.big-title--single:after',
		'property' => 'background-color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'      => 'image',
	'setting'   => 'post_bg_image',
	'label'     => esc_html__( 'Background Image', 'tm-builder' ),
	'help'      => esc_html__( 'Default background image for your header', 'tm-builder' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 'http://builder.zooka.io/data/breadcrumb_bg.jpg',
	'transport' => 'postMessage',
	'output'    => array(
		'element'  => '.big-title--single',
		'property' => 'background-image',
	),
) );