<?php
/**
 * Site Color
 * ================
 */
$section  = 'site_color';
$priority = 1;

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'site_color_link',
	'label'       => esc_html__( 'Link setting', 'tm-builder' ),
	'description' => esc_html__( 'Link color', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => TM_BUILDER_PRIMARY_COLOR,
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => 'a,a:visited',
		'property' => 'color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'site_color_link_hover',
	'description' => esc_html__( 'Link color on hover', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => TM_BUILDER_SECONDARY_COLOR,
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => 'a:hover',
		'property' => 'color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'     => 'custom',
	'setting'  => 'site_color_hr_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<hr />',
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'site_color_bread_crumb',
	'label'       => esc_html__( 'Breadcrumb Color', 'tm-builder' ),
	'description' => esc_html__( 'Text color', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#ffffff',
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '.tm_bread_crumb',
		'property' => 'color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'site_color_bread_crumb_link',
	'description' => esc_html__( 'Link color', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#ffffff',
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '.tm_bread_crumb li a',
		'property' => 'color',
	),
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'color',
	'setting'     => 'site_color_bread_crumb_link_hover',
	'description' => esc_html__( 'Link color on hover', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '#ffffff',
	'transport'   => 'postMessage',
	'output'      => array(
		'element'  => '.tm_bread_crumb li a:hover',
		'property' => 'color',
	),
) );
