<?php
/**
 * Site General
 * ================
 */
$section  = 'site_general';
$priority = 3;

Kirki::add_field( 'tm-builder', array(
	'type'        => 'select',
	'setting'     => 'skin',
	'label'       => esc_html__( 'Skin', 'tm-builder' ),
	'description' => esc_html__( 'IMPORTANT! If you change Skin, everything you have established will be gone, instead of that is the default set up of this Skin.', 'tm-builder' ),
	'section'     => $section,
	'choices'     => apply_filters( 'tm_customizer_skins', array() ),
	'priority'    => 1,
	'default'     => apply_filters( 'tm_customizer_default_skin', '' ),
	'transport'   => 'postMessage'
) );

Kirki::add_field( 'tm-builder', array(
	'type'     => 'custom',
	'setting'  => 'site_general_group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="group_title">Other settings</div>',
) );

if ( function_exists( 'tm_bread_crumb' ) ) {
	Kirki::add_field( 'tm-builder', array(
		'type'        => 'toggle',
		'setting'     => 'site_general_breadcrumb_enable',
		'label'       => esc_html__( 'Breadcrumb', 'tm-builder' ),
		'description' => esc_html__( 'Enabling this option will display breadcrumb on every page', 'tm-builder' ),
		'section'     => $section,
		'priority'    => $priority ++,
		'default'     => 1,
	) );
}

Kirki::add_field( 'tm-builder', array(
	'type'        => 'toggle',
	'setting'     => 'site_general_boxed',
	'label'       => esc_html__( 'Boxed mode', 'tm-builder' ),
	'description' => esc_html__( 'Turn on this option if you want to enable box mode for content', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 0,
) );

Kirki::add_field( 'tm-builder', array(
	'type'        => 'toggle',
	'setting'     => 'site_general_backtotop',
	'label'       => esc_html__( 'Back to top', 'tm-builder' ),
	'description' => esc_html__( 'Turn on this option if you want to enable back to top button', 'tm-builder' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 1,
) );