<?php
/**
 * Initial setup
 * =============
 */
$new_vc_dir = get_template_directory() . '/inc/vc-template';
if ( function_exists( "vc_set_shortcodes_templates_dir" ) ) {
	vc_set_shortcodes_templates_dir( $new_vc_dir );
}

if ( class_exists( 'WPBakeryShortCode' ) ) {

	class WPBakeryShortCode_Thememove_Testi extends WPBakeryShortCode {
	}

	class WPBakeryShortCode_Thememove_Gmaps extends WPBakeryShortCode {
		public function __construct( $settings ) {
			parent::__construct( $settings );
			$this->jsScripts();
		}

		public function jsScripts() {
			wp_enqueue_script( 'thememove-js-maps', 'http://maps.google.com/maps/api/js?key=AIzaSyDzXFM-6o4X3exdxpTzv2yeRMe5JRKTo7I&amp;language=en' );
			wp_enqueue_script( 'thememove-js-gmap3', TM_BUILDER_THEME_ROOT . '/js/gmap3.min.js' );
		}
	}

	class WPBakeryShortCode_Thememove_Project_Details extends WPBakeryShortCode {
	}

	class WPBakeryShortCode_Thememove_Project_Gallery extends WPBakeryShortCode {
	}

	class WPBakeryShortCode_Thememove_Project_Nav extends WPBakeryShortCode {
	}
}
require_once get_template_directory() . '/inc/vc-maps/google-map.php';
require_once get_template_directory() . '/inc/vc-maps/testimonial.php';
require_once get_template_directory() . '/inc/vc-maps/project-details.php';
require_once get_template_directory() . '/inc/vc-maps/project-gallery.php';
require_once get_template_directory() . '/inc/vc-maps/project-nav.php';

// Disable updater
add_action( 'vc_before_init', 'infinity_disable_updater' );
function infinity_disable_updater() {
	vc_manager()->disableUpdater();
}