<?php
$output = $el_class = '';

extract( shortcode_atts( array(
	'label'    => '',
	'el_class' => '',
), $atts ) );

global $post;
?>
<div class="project-meta <?php echo esc_attr( $el_class ); ?>">
	<?php if ( $label != '' ) { ?>
		<h3 class="heading-title"><?php echo esc_html( $label ); ?></h3>
	<?php } ?>
	<div class="project-meta__content">
		<?php
		// Categories
		$terms_as_text = get_the_term_list( $post->ID, 'project-category', '<li>', ',</li><li>', '</li>' );
		// Meta
		$client         = esc_attr( get_post_meta( $post->ID, '_client', true ) );
		$url            = esc_url( get_post_meta( $post->ID, '_url', true ) );
		$location       = esc_attr( get_post_meta( $post->ID, '_location', true ) );
		$surface_area   = esc_attr( get_post_meta( $post->ID, '_surface_area', true ) );
		$year_completed = esc_attr( get_post_meta( $post->ID, '_year_completed', true ) );
		$value          = esc_attr( get_post_meta( $post->ID, '_value', true ) );
		$architect      = esc_attr( get_post_meta( $post->ID, '_architect', true ) );
		if ( $client ) {
			echo '<div class="client">';
			echo '<span class="client__title meta-title">' . esc_html__( 'Client', 'tm-builder' ) . ': </span>';
			echo '<span class="client__name meta-value">' . $client . '</span>';
			echo '</div>';
		}
		if ( $location ) {
			echo '<div class="location">';
			echo '<span class="location__title meta-title">' . esc_html__( 'Location', 'tm-builder' ) . ': </span>';
			echo '<span class="location__name meta-value">' . $location . '</span>';
			echo '</div>';
		}
		if ( $surface_area ) {
			echo '<div class="surface-area">';
			echo '<span class="surface-area__title meta-title">' . esc_html__( 'Surface Area', 'tm-builder' ) . ': </span>';
			echo '<span class="surface-area__name meta-value">' . $surface_area . '</span>';
			echo '</div>';
		}
		if ( $year_completed ) {
			echo '<div class="year-complete">';
			echo '<span class="year-complete__title meta-title">' . esc_html__( 'Year Completed', 'tm-builder' ) . ': </span>';
			echo '<span class="year-complete__name meta-value">' . $year_completed . '</span>';
			echo '</div>';
		}
		if ( $value ) {
			echo '<div class="architect">';
			echo '<span class="architect__title meta-title">' . esc_html__( 'Value', 'tm-builder' ) . ': </span>';
			echo '<span class="architect__name meta-value">' . $value . '</span>';
			echo '</div>';
		}
		if ( $architect ) {
			echo '<div class="architect">';
			echo '<span class="architect__title meta-title">' . esc_html__( 'Architect', 'tm-builder' ) . ': </span>';
			echo '<span class="architect__name meta-value">' . $architect . '</span>';
			echo '</div>';
		}
		if ( $url ) {
			echo '<div class="url">';
			echo '<span class="architect__title meta-title">' . esc_html__( 'Link', 'tm-builder' ) . ': </span>';
			echo '<span class="project-url"><a href="' . esc_url( $url ) . '">' . apply_filters( 'projects_visit_project_link', esc_html__( 'Visit project', 'tm-builder' ) ) . '</a></span>';
			echo '</div>';
		}
		?>
	</div>
</div>