<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Infinity
 */
$infinity_layout        = Kirki::get_option( 'tm-builder', 'site_layout' );
$infinity_heading_image = Kirki::get_option( 'tm-builder', 'page_bg_image' );
get_header(); ?>
<div class="big-title" style="background-image: url('<?php echo esc_url( $infinity_heading_image ); ?>')">
	<div class="container">
		<?php if ( is_home() ) { ?>
			<h1 class="entry-title"><?php echo get_option( 'blogname' ); ?></h1>
		<?php } else { ?>
			<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
			<?php if ( function_exists( 'tm_bread_crumb' ) && Kirki::get_option( 'tm-builder', 'site_general_breadcrumb_enable' ) == 1 ) { ?>
				<div class="breadcrumb">
					<div class="container">
						<?php echo tm_bread_crumb( array( 'home_label' => esc_html__( 'Home', 'tm-builder' ) ) ); ?>
					</div>
				</div>
			<?php } ?>
		<?php } ?>
	</div>
</div>
<div class="container">
	<div class="row">
		<?php if ( $infinity_layout == 'sidebar-content' ) { ?>
			<?php get_sidebar(); ?>
		<?php } ?>
		<?php if ( $infinity_layout == 'sidebar-content' || $infinity_layout == 'content-sidebar' ) { ?>
			<?php $infinity_class = 'col-md-8'; ?>
		<?php } else { ?>
			<?php $infinity_class = 'col-md-12'; ?>
		<?php } ?>
		<div class="<?php echo esc_attr( $infinity_class ); ?>">
			<main class="content">
				<?php if ( have_posts() ) : ?>
					<?php /* Start the Loop */ ?>
					<?php while ( have_posts() ) : the_post(); ?>
						<?php
						get_template_part( 'template-parts/content', 'index' );
						?>
					<?php endwhile; ?>
					<?php infinity_paging_nav(); ?>
				<?php else : ?>
					<?php get_template_part( 'content', 'none' ); ?>
				<?php endif; ?>
			</main>
			<!-- .content -->
		</div>
		<?php if ( $infinity_layout == 'content-sidebar' ) { ?>
			<?php get_sidebar(); ?>
		<?php } ?>
	</div>
</div>

<?php get_footer(); ?>
