<?php
/**
 * The Template for displaying projects in a project category. Simply includes the archive template.
 *
 * Override this template by copying it to yourtheme/projects/taxonomy-project-category.php
 *
 * @author        WooThemes
 * @package    Projects/Templates
 * @version     1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$infinity_heading_image = get_post_meta( get_the_ID(), "infinity_heading_image", true );
if ( $infinity_heading_image ) {
	$infinity_heading_image = get_post_meta( get_the_ID(), "infinity_heading_image", true );
} else {
	$infinity_heading_image = Kirki::get_option( 'tm-builder', 'page_bg_image' );
}
if ( empty( $projects_loop['columns'] ) ) {
	$projects_loop['columns'] = apply_filters( 'projects_loop_columns', 4 );
}
get_header( 'projects' ); ?>
<?php if ( apply_filters( 'projects_show_page_title', true ) ) : ?>
	<div class="big-title" style="background-image: url('<?php echo esc_url( $infinity_heading_image ); ?>')">
		<div class="container">
			<h1 class="entry-title">
				<?php projects_page_title(); ?>
			</h1>
			<?php if ( function_exists( 'tm_bread_crumb' ) ) { ?>
				<div class="breadcrumb">
					<div class="container">
						<?php echo tm_bread_crumb( array( 'home_label' => esc_html__( 'Home', 'tm-builder' ) ) ); ?>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
<?php endif; ?>
	<div class="container">
		<?php if ( have_posts() ) : ?>

			<?php
			/**
			 * projects_before_loop hook
			 *
			 */
			do_action( 'projects_before_loop' );
			?>

			<div class="projects columns-<?php echo esc_attr( $projects_loop['columns'] ); ?>">

				<?php projects_project_loop_start(); ?>

				<?php while ( have_posts() ) : the_post(); ?>

					<?php projects_get_template_part( 'content', 'project' ); ?>

				<?php endwhile; // end of the loop. ?>

				<?php projects_project_loop_end(); ?>

			</div><!-- .projects -->

			<?php
			/**
			 * projects_after_loop hook
			 *
			 * @hooked projects_pagination - 10
			 */
			do_action( 'projects_after_loop' );
			?>

		<?php else : ?>

			<?php projects_get_template( 'loop/no-projects-found.php' ); ?>

		<?php endif; ?>

		<?php
		/**
		 * projects_after_main_content hook
		 *
		 * @hooked projects_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		do_action( 'projects_after_main_content' );
		?>
	</div>
<?php get_footer( 'projects' ); ?>