<?php
/**
 * The template for displaying search results pages.
 *
 * @package Infinity
 */
$infinity_heading_image = Kirki::get_option( 'tm-builder', 'page_bg_image' );
$infinity_layout        = Kirki::get_option( 'tm-builder', 'search_layout' );
get_header(); ?>
	<header class="big-title" style="background-image: url('<?php echo esc_url( $infinity_heading_image ); ?>')">
		<div class="container">
			<h1 class="entry-title"><?php printf( esc_html__( 'Search Results for: %s', 'tm-builder' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
			<?php if ( function_exists( 'tm_bread_crumb' ) ) { ?>
				<div class="breadcrumb">
					<div class="container">
						<?php echo tm_bread_crumb( array( 'home_label' => esc_html__( 'Home', 'tm-builder' ) ) ); ?>
					</div>
				</div>
			<?php } ?>
		</div>
	</header>
	<div class="container">
		<div class="row">
			<?php if ( $infinity_layout == 'sidebar-content' ) { ?>
				<?php get_sidebar(); ?>
			<?php } ?>
			<?php if ( $infinity_layout == 'sidebar-content' || $infinity_layout == 'content-sidebar' ) { ?>
				<?php $infinity_class = 'col-md-8'; ?>
			<?php } else { ?>
				<?php $infinity_class = 'col-md-12'; ?>
			<?php } ?>
			<div class="<?php echo esc_attr( $infinity_class ); ?>">
				<main class="content">
					<?php if ( have_posts() ) : ?>
						<?php while ( have_posts() ) : the_post(); ?>
							<?php get_template_part( 'template-parts/content', 'blog' ); ?>
						<?php endwhile; // end of the loop. ?>
						<?php infinity_paging_nav(); ?>
					<?php else : ?>
						<?php get_template_part( 'template-parts/content', 'none' ); ?>
					<?php endif; ?>
				</main>
			</div>
			<?php if ( $infinity_layout == 'content-sidebar' ) { ?>
				<?php get_sidebar(); ?>
			<?php } ?>
		</div>
	</div>
<?php get_footer(); ?>