<?php
/**
 * The template for displaying all single posts.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Infinity
 */
$infinity_post_layout_private = get_post_meta( get_the_ID(), "infinity_post_layout_private", true );
$infinity_heading_image       = get_post_meta( get_the_ID(), "infinity_heading_image", true );
$infinity_disable_title       = get_post_meta( get_the_ID(), "infinity_disable_title", true );
$infinity_use_vc              = get_post_meta( get_the_ID(), "infinity_use_vc", true );
$infinity_custom_class        = get_post_meta( get_the_ID(), "infinity_custom_class", true );
if ( $infinity_post_layout_private != 'default' ) {
	$infinity_layout = get_post_meta( get_the_ID(), "infinity_post_layout_private", true );
} else {
	$infinity_layout = Kirki::get_option( 'tm-builder', 'post_layout' );
}
if ( $infinity_heading_image ) {
	$infinity_heading_image = get_post_meta( get_the_ID(), "infinity_heading_image", true );
} else {
	$infinity_heading_image = Kirki::get_option( 'tm-builder', 'page_bg_image' );
}
get_header(); ?>
<?php if ( $infinity_disable_title != 'on' ) { ?>
	<header class="big-title--single"
	        style="background-image: url('<?php echo esc_url( $infinity_heading_image ); ?>')">
		<div class="container">
			<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
			<?php if ( function_exists( 'tm_bread_crumb' ) && Kirki::get_option( 'tm-builder', 'site_general_breadcrumb_enable' ) == 1 ) { ?>
				<div class="breadcrumb">
					<div class="container">
						<?php echo tm_bread_crumb( array( 'home_label' => esc_html__( 'Home', 'tm-builder' ) ) ); ?>
					</div>
				</div>
			<?php } ?>
		</div>
	</header>
<?php } ?>
	<div class="container">
		<div class="row">
			<?php if ( $infinity_layout == 'sidebar-content' ) { ?>
				<?php get_sidebar(); ?>
			<?php } ?>
			<?php if ( $infinity_layout == 'sidebar-content' || $infinity_layout == 'content-sidebar' ) { ?>
				<?php $infinity_class = 'col-md-8'; ?>
			<?php } else { ?>
				<?php $infinity_class = 'col-md-12'; ?>
			<?php } ?>
			<div class="<?php echo esc_attr( $infinity_class ); ?>">
				<div class="content">
					<?php while ( have_posts() ) : the_post(); ?>
						<div class="entry-content">
							<?php
							if ( $infinity_use_vc == 'on' ) {
								the_content();
							} else {
								get_template_part( 'template-parts/content', 'single' );
							}
							?>
							<?php //the_post_navigation(); ?>
							<?php
							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;
							?>
						</div>
						<!-- .entry-content -->
					<?php endwhile; // end of the loop. ?>
				</div>
			</div>
			<?php if ( $infinity_layout == 'content-sidebar' ) { ?>
				<?php get_sidebar(); ?>
			<?php } ?>
		</div>
	</div>
<?php get_footer(); ?>