<?php
/*
Template Name: Blog Page 2
*/
$infinity_layout = Kirki::get_option( 'tm-builder', 'site_layout' );
if ( get_post_meta( get_the_ID(), "infinity_heading_image", true ) ) {
	$infinity_heading_image = get_post_meta( get_the_ID(), "infinity_heading_image", true );
} else {
	$infinity_heading_image = Kirki::get_option( 'tm-builder', 'page_bg_image' );
}
get_header(); ?>
<?php if ( ! isset( $infinity_disable_title ) || ( $infinity_disable_title != 'on' ) ) { ?>
	<div class="big-title" style="background-image: url('<?php echo esc_url( $infinity_heading_image ); ?>')">
		<div class="container">
			<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
			<?php if ( function_exists( 'tm_bread_crumb' ) && Kirki::get_option( 'tm-builder', 'site_general_breadcrumb_enable' ) == 1 ) { ?>
				<div class="breadcrumb">
					<div class="container">
						<?php echo tm_bread_crumb( array( 'home_label' => esc_html__( 'Home', 'tm-builder' ) ) ); ?>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
<?php } ?>
<div class="container">
	<div class="row">
		<?php if ( $infinity_layout == 'sidebar-content' ) { ?>
			<?php get_sidebar(); ?>
		<?php } ?>
		<?php if ( $infinity_layout == 'sidebar-content' || $infinity_layout == 'content-sidebar' ) {
			$infinity_class = 'col-md-8';
		} else {
			$infinity_class = 'col-md-12';
		} ?>
		<div class="<?php echo esc_attr( $infinity_class ); ?>">
			<main class="content">
				<?php
				$paged       = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
				$ppp         = (int) get_option( 'posts_per_page' );
				$page_offset = 1 + ( ( $paged - 1 ) * $ppp );
				if ( $paged == 1 ) {
					// the query
					global $wp_query;
					$args       = array(
						'post_type'           => 'post',
						'posts_per_page'      => 1,
						'ignore_sticky_posts' => 1
					);
					$the_query1 = new WP_Query( $args );
					// Put default query object in a temp variable
					$tmp_query = $wp_query;
					// Now wipe it out completely
					$wp_query = null;
					// Re-populate the global with our custom query
					$wp_query = $the_query1;
					?>
					<?php if ( $the_query1->have_posts() ) : ?>
						<?php /* Start the Loop */ ?>
						<?php while ( $the_query1->have_posts() ) : $the_query1->the_post(); ?>
							<?php
							set_query_var( 'blog_num', 0 );
							get_template_part( 'template-parts/content', 'blog' );
							?>
						<?php endwhile; ?>
					<?php endif;
					wp_reset_postdata();
				}
				?>

				<?php echo do_shortcode( '[ess_grid alias="blog-archive-2c"]' ); ?>
			</main>
			<!-- .content -->
		</div>
		<?php if ( $infinity_layout == 'content-sidebar' ) { ?>
			<?php get_sidebar(); ?>
		<?php } ?>
	</div>
</div>
<?php get_footer(); ?>
