<?php
/**
 * Template part for displaying single posts.
 *
 * @package Infinity
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
		<div class="post-thumb">
			<?php the_post_thumbnail( array( 770, 375 ) ); ?>
		</div>
	<?php } ?>
	<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta row middle">
			<div class="col-sm-8">
			<span class="post-time">
				<i class="fa fa-clock-o"></i> <?php the_time( 'F j, Y' ); ?>
			</span>
			<span class="author vcard">
				<i class="fa fa-user"></i> <?php echo get_the_author(); ?>
			</span>
			<span class="comments-counts">
				<i class="fa fa-comment"></i> <?php comments_number( '0', '1', '%' ); ?> <?php comments_number( 'comment', 'Comment', 'Comments' ); ?>
			</span>
			</div>
			<div class="col-sm-4 end">
				<div class="share">
					<span><i
							class="fa fa-share-alt"></i> <?php echo esc_html__( 'Share: ', 'tm-builder' ); ?></span>
					<span><a target="_blank"
					         href="http://www.facebook.com/sharer/sharer.php?u=<?php echo urlencode( get_permalink() ); ?>"><i
								class="fa fa-facebook"></i></a></span>
					<span><a target="_blank"
					         href="http://twitter.com/share?text=<?php echo urlencode( get_the_title() ); ?>&amp;url=<?php echo urlencode( get_permalink() ); ?>&amp;via=twitter"><i
								class="fa fa-twitter"></i></a></span>
					<span><a target="_blank"
					         href="https://plus.google.com/share?url=<?php echo urlencode( get_permalink() ); ?>"><i
								class="fa fa-google-plus"></i></a></span>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title">', esc_url( get_permalink() ) ), '</h2>' ); ?>
	</header>
	<div class="entry-content">
		<?php the_content(); ?>
		<?php
		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'tm-builder' ),
			'after'  => '</div>',
		) );
		?>
	</div>
	<!-- .entry-content -->
	<div class="entry-footer">
		<?php the_tags( '<i class="fa fa-tags"></i> Tags: ', ', ' ); ?>
	</div>
	<?php
	$infinity_prevpost = get_previous_post( true );
	$infinity_nextpost = get_next_post( true );
	if ( $infinity_prevpost || $infinity_nextpost ) {
		?>
		<div class="row single-post-nav">
			<div class="col-md-6 left prev-post">
				<?php
				if ( $infinity_prevpost ) {
					echo '<span class="prev-post-text">' . esc_html__( 'Previous', 'tm-builder' ) . '</span>';
					echo '<span class="prev-post-info">';
					echo get_the_post_thumbnail( $infinity_prevpost->ID, array( 60, 40 ) );
					previous_post_link( '%link' );
					echo '</span>';
				}
				?>
			</div>
			<div class="col-md-6 right next-post">
				<?php
				if ( $infinity_nextpost ) {
					echo '<span class="next-post-text">' . esc_html__( 'Next', 'tm-builder' ) . '</span>';
					echo '<span class="next-post-info">';
					echo get_the_post_thumbnail( $infinity_nextpost->ID, array( 60, 40 ) );
					next_post_link( '%link' );
					echo '</span>';
				}
				?>
			</div>
		</div>
	<?php } ?>
</article><!-- #post-## -->