<?php dynamic_sidebar( 'top-slider' ); ?>
<header class="site-header">
	<nav id="site-navigation" class="main-navigation">
		<div class="top-search">
			<div class="container">
				<div class="row middle">
					<div class="col-md-12">
						<form method="GET" action="<?php echo get_home_url(); ?>">
							<input type="search" name="s"
							       placeholder="<?php echo esc_html__( 'What are you looking for?', 'tm-builder' ); ?>"/>
						</form>
					</div>
				</div>
			</div>
		</div>
		<div class="container">
			<div class="row middle">
				<div class="col-md-2 col-xs-8 site-branding">
					<?php if ( $infinity_logo = Kirki::get_option( 'tm-builder', 'site_logo' ) ) { ?>
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img
								src="<?php echo esc_url( $infinity_logo ); ?>" alt="<?php bloginfo( 'name' ); ?>"/></a>
					<?php } else { ?>
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>"
						   rel="home"><?php bloginfo( 'name' ); ?></a>
					<?php } ?>
				</div>
				<div class="col-xs-2 hidden-md hidden-lg">
					<?php if ( Kirki::get_option( 'tm-builder', 'header_layout_search_enable' ) == 1 ) { ?>
						<i class="fa fa-search search-btn"></i>
					<?php } ?>
				</div>
				<div class="col-xs-2 hidden-md hidden-lg end">
					<i id="open-left" class="fa fa-navicon"></i>
				</div>
				<?php if ( ( class_exists( 'WooCommerce' ) && Kirki::get_option( 'tm-builder', 'header_layout_mini_cart_enable' ) == 1 ) || ( Kirki::get_option( 'tm-builder', 'header_layout_search_enable' ) == 1 ) ) { ?>
					<?php $infinity_class = 'col-md-9'; ?>
				<?php } else { ?>
					<?php $infinity_class = 'col-md-10'; ?>
				<?php } ?>
				<div class="<?php echo esc_attr( $infinity_class ); ?> hidden-xs hidden-sm nav-left">
					<?php if ( class_exists( 'TM_Walker_Nav_Menu' ) && has_nav_menu( 'primary' ) ) {
						wp_nav_menu( array(
							'theme_location'  => 'primary',
							'menu_id'         => 'primary-menu',
							'container_class' => 'primary-menu',
							'walker'          => new TM_Walker_Nav_Menu
						) );
					} else {
						wp_nav_menu( array(
							'theme_location'  => 'primary',
							'menu_id'         => 'primary-menu',
							'container_class' => 'primary-menu'
						) );
					} ?>
				</div>
				<?php if ( ( class_exists( 'WooCommerce' ) && Kirki::get_option( 'tm-builder', 'header_layout_mini_cart_enable' ) == 1 ) || ( Kirki::get_option( 'tm-builder', 'header_layout_search_enable' ) == 1 ) ) { ?>
					<div class="col-md-1 hidden-xs hidden-sm nav-right">
						<?php if ( class_exists( 'WooCommerce' ) && Kirki::get_option( 'tm-builder', 'header_layout_mini_cart_enable' ) == 1 ) { ?>
							<div class="mini-cart">
								<?php echo thememove__minicart(); ?>
								<div class="widget_shopping_cart_content"></div>
							</div>
						<?php } ?>
						<?php if ( Kirki::get_option( 'tm-builder', 'header_layout_search_enable' ) == 1 ) { ?>
							<div class="search-box">
								<i class="fa fa-search search-btn"></i>
							</div>
						<?php } ?>
					</div>
				<?php } ?>
			</div>
		</div>
	</nav>
	<!-- #site-navigation -->
</header><!-- #masthead -->
